--@TBCONFIG INFO: Contrast Overload
--@TBCONFIG INFO: Revision 1
--@TBCONFIG INFO:  
--@TBCONFIG SLIDER: Contrast 1 Strength, 55
--@TBCONFIG SLIDER: Constrat 2 Strength, 40
--@TBCONFIG SLIDER: Constrat 3 Detail, 50
--@TBCONFIG SLIDER: Saturation Adjust, 38

paint_open(0)

paint_buffer_from_layer(0)

paint_filter("Grayscale",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)
paint_filter("Surface Blur",0,1000,1000,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0)
paint_filter("Negative",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)

paint_buffer_from_layer(1)
paint_buffer_to_layer(0)

if sliderVal1 > 0 then
  paint_buffer_merge_layer(1, MERGE_SOFT_LIGHT, sliderVal1 * 255)
end  

if sliderVal2 > 0 then
  paint_buffer_merge_layer(1, MERGE_HSL_LUM, sliderVal2 * 128)
end  

if sliderVal3 > 0 then
  paint_filter("Contrast Mask",0,sliderVal3 * 1000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)
end

paint_filter("Levels",0,0,1000,0,1000,0,0,0,0,1,1,1,0,1,0,0,0,0,0)
paint_filter("Adjust HSL",0,500,sliderVal4 * 1000,500,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)

paint_close()




